Bug 1476026 - Service Catalog issues repeated Deprovision requests against the broker, despite a 410 response
Summary: Service Catalog issues repeated Deprovision requests against the broker, desp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.6.z
Assignee: Paul Morie
QA Contact: Zhang Cheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-27 21:02 UTC by Erik Nelson
Modified: 2017-12-07 07:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-07 07:10:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1475251 high CLOSED Mediawiki123 deprovision failed. 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2017:3389 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Internal Links: 1475251

Description Erik Nelson 2017-07-27 21:02:51 UTC
Description of problem:
The service broker is receiving repeated deprovision (DELETE) requests despite reporting that the service instance is "gone" with a 410 response and a {} body, as outlined in the spec: https://github.com/openservicebrokerapi/servicebroker/blob/v2.12/spec.md#response-6

How reproducible:
Reproducible every time with OCP 3.6.0 catalog and broker.

Steps to Reproduce:
1. Provision a service
2. Deprovision
3. Observe ansible-service-broker logs and controller-manager logs. Catalog should not continue to request DELETES

Actual results:
* Initial deprovision comes in, we're seeing two of them almost on top of one another. Broker responds with correct 202, { "operation": "<operation_id>" }
* Wait for some time, the broker's pods have started to deprovision services.
* Additional DELETE request comes in, broker responds with a 410, {}.
* Broker continues to receive DELETE requests against the same service instance ID despite already having reported its gone.

Expected results:
Broker should stop receiving DELETE requests after responding with a 410, gone.

Comment 1 Paul Morie 2017-10-13 15:47:26 UTC
This should be fixed in master currently.

Comment 2 Zhang Cheng 2017-10-20 10:45:25 UTC
Verified and LGTM. This problem have been fixed in latest OCP3.7 code.

Comment 4 Zhang Cheng 2017-11-07 07:55:11 UTC
Verified and LGTM. This problem have been fixed in 3.6.173.0.63

Comment 7 errata-xmlrpc 2017-12-07 07:10:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.